<html devsite><head>
    <title>Бюллетень по безопасности Pixel и Nexus – февраль 2018 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>Опубликовано 5 февраля 2018 г. | Обновлено 30 апреля 2018 г.</em></p>

<p>
В этом бюллетене содержится информация об уязвимостях в защите и об улучшениях функциональных возможностей <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">поддерживаемых устройств Pixel и Nexus</a> (устройства Google). Все проблемы, перечисленные здесь и в <a href="/security/bulletin/2018-02-01">бюллетене по безопасности Android</a> за февраль 2018 года, устранены в исправлении от 5 февраля 2018 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705">Справочном центре</a>.</p>
<p>
Поддерживаемые устройства Google получат обновление системы безопасности 2018-02-05. Мы рекомендуем всем пользователям установить перечисленные здесь обновления.
</p>
<p class="note">
<strong>Примечание.</strong> Образы встроенного ПО для устройств Google можно найти на <a href="https://developers.google.com/android/nexus/images">сайте Google Developers</a>.
</p>
<h2 id="announcements">Объявления</h2>
<p>Помимо исправлений уязвимостей, описанных в <a href="/security/bulletin/2018-02-01">бюллетене по безопасности Android</a> за февраль 2018 года, обновления для устройств Pixel и Nexus содержат также исправления проблем, перечисленных ниже. Мы сообщили партнерам об этих проблемах по крайней мере месяц назад. Они могут включить их исправления в свои обновления безопасности.</p>

<h2 id="security-patches">Обновления системы безопасности</h2>
<p>
Уязвимости сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица, где указаны CVE, ссылки, <a href="#type">тип уязвимости</a>, <a href="https://source.android.com/security/overview/updates-resources.html#severity">уровень серьезности</a>, а также версии AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), Дополнительные ссылки перечислены в квадратных скобках.
</p>

<h3 id="framework">Framework</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13239</td>
    <td>A-66244132<a href="#asterisk">*</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-13240</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/5025791ac6d1538224e19189397de8d71dcb1a12">
   A-68694819</a>
   </td>
    <td>РИ</td>
    <td>Средний</td>
    <td>8.0, 8.1</td>
  </tr>
</tbody></table>

<h3 id="media-framework">Media Framework</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13241</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/158af2ed6d9d03ff24fe1d12ea6eb6a7bbcce383">
   A-69065651</a>
   </td>
    <td>РИ</td>
    <td>Средний</td>
    <td>5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13229</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/external/sonivox/+/f3decaa147faaf090a23b65239658a6749a4e80c">
    A-68160703</a></td>
    <td>УВК</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>УВК</td>
    <td>Критический</td>
    <td>5.1.1, 6.0, 6.0.1</td>
  </tr>
  <tr>
    <td rowspan="2">CVE-2017-13235</td>
    <td rowspan="2"><a href="https://android.googlesource.com/platform/frameworks/av/+/28e9a544ef076b5cadb30066b2e283017ad9e3b3">
    A-68342866</a></td>
    <td>NSI</td>
    <td>NSI</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>ОО</td>
    <td>Высокий</td>
    <td>5.1.1, 6.0, 6.0.1</td>
  </tr>
</tbody></table>

<h3 id="system">Система</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2017-13242</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/26e2b2456a444777de114f728c4dc2af88c2fb03">A-62672248</a> [<a href="https://android.googlesource.com/platform/packages/apps/Settings/+/7ed7d00e6028234088b58bf6d6d9362a5effece1">2</a>]
   </td>
    <td>РИ</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2017-13243</td>
    <td>A-38258991<a href="#asterisk">*</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0</td>
  </tr>
</tbody></table>

<h3 id="kernel-components">Компоненты ядра</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-13244</td>
    <td>A-62678986<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Easel</td>
  </tr>
  <tr>
    <td>CVE-2017-13245</td>
    <td>A-64315347<a href="#asterisk">*</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Аудиодрайвер</td>
  </tr>
  <tr>
    <td>CVE-2017-1000405</td>
    <td>A-69934280<br />
        <a href="https://github.com/torvalds/linux/commit/a8f97366452ed491d13cf1e44241bc0b5740b1f0">
Upstream kernel</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Управление страницами памяти</td>
  </tr>
  <tr>
    <td>CVE-2017-13246</td>
    <td>A-36279469<a href="#asterisk">*</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>Сетевой драйвер</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Компоненты Qualcomm</h3>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
    <td>CVE-2017-15817</td>
    <td>A-68992394<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/prima/commit/?id=8ba78e506e5002cdae525dd544dbf1df0ccce1ef">QC-CR#2076603</a> [<a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/prima/commit/?id=fe43c2b64ac81199de17efc258e95546cb0546f1">2</a>]</td>
    <td>УВК</td>
    <td>Критический</td>
    <td>WLAN</td>
  </tr>
  <tr>
    <td>CVE-2017-15859</td>
    <td>A-65468985<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=88dcc44ea8fbe158d1dee3ea197e47794bf4449d">
QC-CR#2059715</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>qcacld-2.0</td>
  </tr>
  <tr>
    <td>CVE-2017-17769</td>
    <td>A-65172622<a href="#asterisk">*</a><br />
        QC-CR#2110256</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>qdsp6v2</td>
  </tr>
  <tr>
    <td>CVE-2017-9723</td>
    <td>A-68992479<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=e83ebd2098009b0d336ffab11e00f739902bd5d9">
QC-CR#2007828</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер сенсорного экрана synaptics_dsx_htc</td>
  </tr>
  <tr>
    <td>CVE-2017-14881</td>
    <td>A-68992478<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=81ea9c34f575422a78015535c619500c34b8a69c">QC-CR#2087492</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=1e14c7342bbb55f4ff761cf8cb7374750620c903">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер IPA</td>
  </tr>
  <tr>
    <td>CVE-2017-14877</td>
    <td>A-68992473<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=ca395c15c49cf6463a39d197b6a9331d183d94cb">QC-CR#2057803</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=c2fd287bf16dc5e9f98145ba91083bdc56dfc01f">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер IPA</td>
  </tr>
  <tr>
    <td>CVE-2017-15826</td>
    <td>A-68992471<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=5ac3e9d038a7ee7edf77dde2dffae6f8ba528848">QC-CR#2100085</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=46db8f8292f71d0086140ae90bce5ae8ff161cb1">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Ротатор MDSS</td>
  </tr>
  <tr>
    <td>CVE-2017-14876</td>
    <td>A-68992468<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=f26dbd9d9491333766ba383044064b1304127ac0">
QC-CR#2054041</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер MSM camera_v2</td>
  </tr>
  <tr>
    <td>CVE-2017-14892</td>
    <td>A-68992455<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=a3bed71777c133cfec78b5140877c6ba109961a0">
QC-CR#2096407</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>qdsp6v2</td>
  </tr>
  <tr>
    <td>CVE-2017-17766</td>
    <td>A-68992448<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=a37d8a78f5bd0e9a2c91de46721a6d80bd229a43">
QC-CR#2115366</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Wi-Fi</td>
  </tr>
  <tr>
    <td>CVE-2017-15823</td>
    <td>A-68992447<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=49c1ce19c8a4689c33e6e8f17ab77d77fae6ff93">
QC-CR#2115365</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Wi-Fi</td>
  </tr>
  <tr>
    <td>CVE-2017-15852</td>
    <td>A-36730614<a href="#asterisk">*</a><br />
        QC-CR#2028702</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Фреймбуфер</td>
  </tr>
  <tr>
    <td>CVE-2017-15846</td>
    <td>A-67713103<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=9fdbd92ec9196ba3629f68f4c22342aa6eedc960">QC-CR#2083314</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=9c18cc5551afc7318f57571611252fa80e1753a0">2</a>]</td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Камера</td>
  </tr>
  <tr>
    <td>CVE-2017-14883</td>
    <td>A-68992426<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=3de34af4e2ca91e1a2260deb380b81620a631c85">
QC-CR#2112832</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Питание</td>
  </tr>
  <tr>
    <td>CVE-2017-11043</td>
    <td>A-68992421<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=befd1f713a72b992ee63970b7e3d1d7a32ba5a01">
QC-CR#2091584</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Wi-Fi</td>
  </tr>
  <tr>
    <td>CVE-2017-14875</td>
    <td>A-68992465<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=755261330733bb2440907a8407ed691c99451ddc">
QC-CR#2042147</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>Камера</td>
  </tr>
  <tr>
    <td>CVE-2017-14891</td>
    <td>A-68992453<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=736667bf08b03fdca824e88b901c2dbdd6703a0c">
QC-CR#2096006</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>KGSL</td>
  </tr>
  <tr>
    <td>CVE-2017-17771</td>
    <td>A-38196031<br />
        <a href="https://source.codeaurora.org/quic/la//kernel/msm-4.4/commit/?id=a452045792bc09548b4e1b940aa8adfed822b51c">
QC-CR#2003798</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>Драйвер камеры</td>
  </tr>
  <tr>
    <td>CVE-2017-11087</td>
    <td>A-34735194<a href="#asterisk">*</a><br />
        QC-CR#2053869</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>Media Framework</td>
  </tr>
</tbody></table>

<h2 id="functional-updates">Улучшения функциональных возможностей</h2>
<p>
В эти обновления включены исправления проблем, касающихся функциональных возможностей устройств Pixel. Они не связаны с уязвимостями в защите. В таблице приведены ссылки, категория обновления, например Bluetooth или мобильный Интернет, и описание улучшения, а также сведения об устройствах, для которых предназначены исправления.
</p>

<table>
  <tbody><tr>
   <th>Ссылки</th>
   <th>Категория</th>
   <th>Описание</th>
   <th>Устройства</th>
  </tr>
  <tr>
   <td>A-68863351</td>
   <td>Пользовательский интерфейс</td>
   <td>Улучшены значки в приложении "Настройки".</td>
   <td>Все</td>
  </tr>
  <tr>
   <td>A-68198663</td>
   <td>Bluetooth</td>
   <td>Повышено качество звонков через Bluetooth на некоторых гарнитурах.</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2XL</td>
  </tr>
  <tr>
   <td>A-68317240</td>
   <td>Wi-Fi</td>
   <td>Повышена производительность восходящего канала Wi-Fi.</td>
   <td>Pixel 2, Pixel 2XL</td>
  </tr>
  <tr>
   <td>A-69263786</td>
   <td>Камера</td>
   <td>Повышена производительность камеры при некоторых условиях освещенности.</td>
   <td>Pixel 2, Pixel 2XL</td>
  </tr>
  <tr>
   <td>A-67844294</td>
   <td>Android Auto</td>
   <td>Повышена расчетная производительность Android Auto для некоторых автомобилей.</td>
   <td>Pixel 2, Pixel 2XL</td>
  </tr>
  <tr>
   <td>A-69349260</td>
   <td>Совместимость приложений</td>
   <td>Улучшен синтаксический анализ ключей RSA из байтовых массивов.</td>
   <td>Все</td>
  </tr>
  <tr>
   <td>A-68832228</td>
   <td>Питание</td>
   <td>Улучшена работа батареи на некоторых устройствах Pixel 2XL.</td>
   <td>Pixel 2XL</td>
  </tr>
  <tr>
   <td>A-69797895</td>
   <td>Мобильный Интернет</td>
   <td>Повышена эффективность передачи данных в определенных сетевых средах для абонентов компании Telus.</td>
   <td>Pixel 2</td>
  </tr>
  <tr>
   <td>A-68368139</td>
   <td>Стабильность</td>
   <td>Улучшена стабильность работы устройства после загрузки при определенных условиях.</td>
   <td>Pixel 2, Pixel 2XL</td>
  </tr>
  <tr>
   <td>A-68874871</td>
   <td>Аудио</td>
   <td>Улучшено перенаправление сигнала при переключении аудиовыходов.</td>
   <td>Pixel 2, Pixel 2XL</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">Часто задаваемые вопросы</h2>
<p>
В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.
</p>
<p>
<strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?
</strong>
</p>
<p>
В исправлении от 5 февраля 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-02-05. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Справочном центре</a>.
</p>
<p id="type">
<strong>2. Что означают сокращения в столбце <em>Тип</em>?</strong>
</p>
<p>
В этом столбце указан тип уязвимости по следующей классификации:<em></em>
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Сокращение</th>
   <th>Описание</th>
  </tr>
  <tr>
   <td>УВК</td>
   <td>Удаленное выполнение кода</td>
  </tr>
  <tr>
   <td>ПП</td>
   <td>Повышение привилегий</td>
  </tr>
  <tr>
   <td>РИ</td>
   <td>Раскрытие информации</td>
  </tr>
  <tr>
   <td>ОО</td>
   <td>Отказ в обслуживании</td>
  </tr>
  <tr>
   <td>Н/Д</td>
   <td>Классификация недоступна</td>
  </tr>
</tbody></table>
<p>
<strong>3. Что означает информация в столбце <em>Ссылки</em>?</strong>
</p>
<p>
В таблицах с описанием уязвимостей есть столбец <em>Ссылки</em>. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Префикс</th>
   <th>Значение</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Идентификатор ошибки Android</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Ссылочный номер Qualcomm</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>Ссылочный номер MediaTek</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>Ссылочный номер NVIDIA</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Ссылочный номер Broadcom</td>
  </tr>
</tbody></table>
<p id="asterisk">
<strong>4. Что означает символ * рядом с идентификатором ошибки Android в столбце <em>Ссылки</em>?</strong>
</p>
<p>
Символ * означает, что исправление для уязвимости не опубликовано.<em></em> Необходимое обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<p>
<strong>5. Почему теперь одни уязвимости описываются в этом бюллетене, а другие – в бюллетенях по безопасности Android?</strong>
</p>
<p>
В бюллетене по безопасности Android описаны уязвимости, которые необходимо устранить в последнем обновлении системы безопасности для устройств Android. Решать дополнительные проблемы, перечисленные здесь, для этого не требуется.
</p>
<h2 id="versions">Версии</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>Версия</th>
   <th>Дата</th>
   <th>Примечания</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>5 февраля 2018 г.</td>
   <td>Бюллетень опубликован.</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>7 февраля 2018 г.</td>
   <td>Добавлены ссылки на AOSP.</td>
  </tr>
      <tr>
   <td>1.3</td>
   <td>2 апреля 2018 г.</td>
   <td>Сведения об уязвимости CVE-2017-15817 перенесены из бюллетеня по безопасности Android за февраль в этот бюллетень.</td>
  </tr>
   <tr>
   <td>1.4</td>
   <td>30 апреля 2018 г.</td>
   <td>Ссылка на исправление для уязвимости CVE-2017-15852 изменена с CR#2046770 на CR#2028702.</td>
  </tr>
</tbody></table>

</body></html>